/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/


/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: arrows.c 1.2 89/10/10 $@(#)vm.qued:src/qued/arrows.c	1.1"

#include <stdio.h>
#include "wish.h"
#include "ctl.h"
#include "winp.h"
#include "fmacs.h"
#include "vtdefs.h"

/*
 * SETARROWS is used to set/clear scroll indicators for both
 * single-line and multi-line scrollable fields
 */
setarrows()
{
 	register unsigned line;
	register int ch, savecol;

	line = 0;
	if (!(Flags & I_SCROLL))
		vt_ctl(VT_UNDEFINED, CTSETARROWS, 0);
	else if (Cfld->rows == 1) {
		vt_ctl(VT_UNDEFINED, CTSETARROWS, 0);
		savecol = Cfld->curcol;
		if (Buffoffset > 0)
			line |= VT_UPARROW;
		if ((Buffoffset + Cfld->cols + 1) < Bufflast)
			line |= VT_DNARROW;
		if (line & VT_UPARROW) {
			if (line & VT_DNARROW)
				ch = '=';
			else
				ch = '<';
		}
		else if (line & VT_DNARROW) {
			if (line & VT_UPARROW)
				ch = '=';
			else
				ch = '>';
		}
		else
			ch = ' ';
		fgo(0, Lastcol + 1);
		fputchar(ch);
		fgo(0, savecol);
	}
	else {
		if (Buffoffset > 0)
			line |= VT_UPARROW;
		if ((Valptr != NULL) || ((Buffoffset + FIELDBYTES) < Bufflast)) 
			line |= VT_DNARROW;
		vt_ctl(VT_UNDEFINED, CTSETARROWS, line);
	}
}
